#ifndef _MW_UART_H
#define _MW_UART_H

#if defined MW_DEVBOARD_V2 || MW_DEBUG_UART
void init_debug_uart(void);
void debug_uart_tx_char(const char c);
void debug_uart_tx(const char *buf);
char debug_uart_rx_char(char *c);
void debug_dump_hex(const uint16_t len, const void *buf);
void debug_dump_ascii(const uint16_t len, const void *buf);
#else
#define debug_uart_tx(args...) {}
#define debug_uart_tx_char(args...) {}
#define debug_dump_hex(args...) {}
#define debug_dump_ascii(args...) {}
#endif

#endif

